/*
Tiamat - a role-playing game framework
ImageData.java - used to store the position of an image
 
 Copyright  (C) 2006 Hugues Johnson
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.huguesjohnson.tiamat.graphics;

/** ImageData- used to store the position of an image
 * @author Hugues Johnson
 */
public class ImageData{

//begin public properties
	private int x;
	/** Returns the x position of the image.
	 * @return The x position of the image.
	 */
	public int getX(){
		return(this.x);
	}
	/** Sets the x position of the image.
	 * @param x The x position of the image.
	 */
	public void setX(int x){
		this.x=x;
	}
	private int y;
	/** Returns the y position of the image.
	 * @return The y position of the image.
	 */
	public int getY(){
		return(this.y);
	}
	/** Sets the y position of the image.
	 * @param y The y position of the image.
	 */
	public void setY(int y){
		this.y=y;
	}
	private String imagePath;
	/** Returns the full path to the image.
	 * @return The full path to the image.
	 */
	public String getImagePath(){
		return(this.imagePath);
	}
	/** Sets the full path to the image.
	 * @param imagePath The full path to the image.
	 */
	public void setImagePath(String imagePath){
		this.imagePath=imagePath;
	}
//end public properties
	
//begin constructors
	/** Creates a new instance of ImageData.
	 * @param x The x position of the image.
	 * @param y The y position of the image.
	 * @param imagePath The full path to the image.
	 */
	public ImageData(String imagePath,int x,int y){
		this.setImagePath(imagePath);
		this.setX(x);
		this.setY(y);
	}
//end constructors
}